using System;
using System.ComponentModel.DataAnnotations;

namespace TransmissionRssManager.Data.Models
{
    public class UserPreference
    {
        [Key]
        public int Id { get; set; }
        
        [Required]
        public string Key { get; set; } = string.Empty;
        
        public string? Value { get; set; }
        
        public string? Description { get; set; }
        
        public string? Category { get; set; } = "General";
        
        public string? DataType { get; set; } = "string";
        
        public DateTime CreatedAt { get; set; } = DateTime.UtcNow;
        
        public DateTime? UpdatedAt { get; set; }
    }
}