using System;
using System.ComponentModel.DataAnnotations;

namespace TransmissionRssManager.Data.Models
{
    public class SystemLogEntry
    {
        [Key]
        public int Id { get; set; }
        
        [Required]
        public DateTime Timestamp { get; set; } = DateTime.UtcNow;
        
        [Required]
        public string Level { get; set; } = "Information";
        
        [Required]
        public string Message { get; set; } = string.Empty;
        
        public string? Context { get; set; }
        
        public string? Properties { get; set; }
    }
}